# Exercise 26: Private IP Address Detection (Super Challenge)
#
# Task:
# 1. Create a string variable containing an IPv4 address (e.g., "192.168.1.1")
# 2. Split the IP into its octets using string operations
# 3. Convert each octet to binary (as strings of 1s and 0s)
# 4. Print the original IP, each octet in decimal, and each octet in binary
# 5. Check if this is a private IP address by testing all private ranges:
#    - Class A private: 10.0.0.0 to 10.255.255.255
#    - Class B private: 172.16.0.0 to 172.31.255.255
#    - Class C private: 192.168.0.0 to 192.168.255.255
#
# Expected output format:
# IP: 192.168.1.1
# Octet 1: 192 (11000000)
# Octet 2: 168 (10101000)
# Octet 3: 1   (00000001)
# Octet 4: 1   (00000001)
# Private IP Range Checks:
# Class A (10.0.0.0/8): False
# Class B (172.16.0.0/12): False
# Class C (192.168.0.0/16): True
# Is Private IP: True