password = "MyP@ssw0rd"
special_chars = "!@#$%^&*()_+-=[]{}|;:,.<>?"

# Calculate counts
length = len(password)
uppercase = sum(1 for char in password if char.isupper())
lowercase = sum(1 for char in password if char.islower())
digits = sum(1 for char in password if char.isdigit())
special = sum(1 for char in password if char in special_chars)

# Check criteria
meets_length = length >= 8
has_upper = uppercase > 0
has_digit = digits > 0
has_special = special > 0

print(f"Password: {password}")
print(f"Length: {length}")
print(f"Uppercase letters: {uppercase}")
print(f"Lowercase letters: {lowercase}")
print(f"Digits: {digits}")
print(f"Special characters: {special}")
print(f"Meets minimum length: {meets_length}")
print(f"Has uppercase: {has_upper}")
print(f"Has digit: {has_digit}")
print(f"Has special char: {has_special}")