# Exercise 1: Basic List and Dictionary Operations

# Part 1: List Manipulation

# 1. Create an empty list called `my_list`.
# 2. Append the numbers 10, 20, 30, and 40 to `my_list`.
# 3. Insert the number 15 at the second position (index 1) of the list.
# 4. Extend `my_list` with another list containing the elements 50 and 60.
# 5. Remove the number 30 from `my_list`.
# 6. Print the final `my_list`.  It should be [10, 15, 20, 40, 50, 60]

# Part 2: Dictionary Creation

# 1. Create a dictionary called `student` with the following key-value pairs:
#    - "name": "John Doe"
#    - "age": 22
#    - "major": "Computer Science"
#    - "gpa": 3.7
# 2. Print the value associated with the key "major".
# 3. Add a new key-value pair to the `student` dictionary: "courses": ["CS101", "MA202", "PH101"]
# 4.  Print the `student` dictionary.
# 5. Check if the key 'email' exists in the `student` dictionary.  Print True if it exists, False otherwise.
# 6. Get the value associated with 'email' from the student dictionary. Use the .get() method and provide a default value of "N/A" if the key doesn't exist.  Print the result.