# Exercise 2: List Slicing and Dictionary Modification

# Part 1: List Slicing

# Given the list `numbers` below:
numbers = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]

# 1. Create a new list called `first_half` containing the first half of the `numbers` list.
# 2. Create a new list called `last_three` containing the last three elements of `numbers`.
# 3. Create a new list called `every_other` containing every other element of `numbers`, starting from the first element.
# 4. Create a new list called `reversed_numbers` containing the elements of `numbers` in reversed order, *using slicing*.
# 5. Modify the `numbers` list *in place*: Replace the elements from index 2 up to (but not including) index 5 with the values 100, 200, 300.
# 6. Print the modified version of the `numbers` list.

# Part 2: Dictionary Modification

# Given the dictionary `inventory` below:
inventory = {
    "apple": 10,
    "banana": 5,
    "orange": 12,
    "grape": 8
}

# 1. Increase the quantity of "apple" by 5.
# 2. Decrease the quantity of "orange" by 3.
# 3. Remove "banana" from the `inventory`.
# 4. Add a new item "pear" with a quantity of 7 to the `inventory`.
# 5. Print the `inventory`.
# 6. Use the .update() method to add the following to the inventory: 'kiwi' with a value of 4, and update the quantity of 'orange' to 15.
# 7. Print the `inventory`.