# Exercise 4: Log File Analysis (Basic)

# You are given a simplified log file represented as a list of strings.
# Each string is a log entry.

log_entries = [
    "INFO: User logged in: user123",
    "ERROR: Connection failed: 192.168.1.100",
    "WARNING: Disk space low",
    "INFO: User logged out: user123",
    "ERROR: Authentication failure: user456",
    "INFO: Service started: webserver",
    "ERROR: Connection failed: 192.168.1.101",
]

# 1. Create a list called `error_entries` containing only the log entries that start with "ERROR".
# 2. Create a dictionary called `user_logins` where keys are usernames (e.g., "user123") and values are the number of times each user logged in (INFO: User logged in).
# 3. Create a list called `failed_ips` containing the IP addresses from the "ERROR: Connection failed" entries.  (You'll need to extract the IP from the string.)
# 4. Print the `error_entries`, `user_logins`, and `failed_ips`.
# 5. Find and print the number of unique IPs in `failed_ips`