def ex_1():
    chars = {
        '!': hex(ord('!')),
        '@': hex(ord('@')),
        '#': hex(ord('#')),
        '$': hex(ord('$')),
        '%': hex(ord('%')),
        '^': hex(ord('^')),
        '&': hex(ord('&')),
        '*': hex(ord('*')),
        '(': hex(ord('(')),
        ')': hex(ord(')'))
    }

    print("Keys:", list(chars.keys()))

    new_char = input("Enter a single special character to add: ")
    if len(new_char) == 1:
        chars[new_char] = hex(ord(new_char))
    else:
        print("Invalid input. Please enter only one character.")

    get_char = input("Enter a character to retrieve its hex value: ")
    print(chars.get(get_char, "Character not found in dictionary."))

def ex_2():
    states = {
        "Maryland": "Annapolis",
        "Virginia": "Richmond",
        "California": "Sacramento",
        "Colorado": "Denver"
    }

    new_state = input("Enter a state: ")
    new_capitol = input("Enter the capitol: ")
    states[new_state] = new_capitol

    sorted_states = sorted(states.keys())
    print("States (sorted alphabetically):", sorted_states)

    search_state = input("Enter a state to find its capitol: ")
    print(states.get(search_state, "State not found in dictionary."))
    capitols = list(states.values())
    capitols.sort(key=len, reverse=True)
    print("Capitols (sorted by length, descending):", capitols)

def ex_3():
    digit_map = {
        '0': 'zero',
        '1': 'one',
        '2': 'two',
        '3': 'three',
        '4': 'four',
        '5': 'five',
        '6': 'six',
        '7': 'seven',
        '8': 'eight',
        '9': 'nine'
    }

    user_input = input("Enter a number (0-9): ")

    if user_input in digit_map:
        print(f"The value is in the dictionary.")
    else:
        print("The value is not in the dictionary")
    print(digit_map.get(user_input, "Digit not found in dictionary."))

def ex_4():
    states = {
        "Maryland": ("Annapolis", 6_045_680),
        "Virginia": ("Richmond", 8_535_519),
        "California": ("Sacramento", 39_512_223),
        "Colorado": ("Denver", 5_773_714)
    }

    new_state = input("Enter a state: ")
    new_capitol = input("Enter the capitol: ")
    new_population = int(input("Enter the population: "))  # Assume valid integer input
    states[new_state] = (new_capitol, new_population)

    sorted_states = sorted(states.keys())
    print("States (sorted alphabetically):", sorted_states)

    search_state = input("Enter a state to find its capitol and population: ")
    if search_state in states:
        capitol, population = states[search_state]
        print(f"Capitol: {capitol}, Population: {population:,}")
    else:
        print("State not found")

def ex_5():
    user_info = {}
    user_info['chore'] = input("Enter a chore: ")
    user_info['verb'] = input("Enter a verb: ")
    user_info['famous_person'] = input("Enter a famous person: ")
    user_info['job'] = input("Enter a job: ")
    user_info['location'] = input("Enter a location: ")
    user_info['nickname'] = input("Enter a nickname: ")

    song = f'''What y'all wanna do?
Wanna be {user_info['job']}? Code crackers? Slackers
Wastin' time with all the {user_info['location']} yakkers
9 to 5, {user_info['verb']} at Hewlett Packard
...
Yeah, payin' the bills with my mad {user_info['job']} skills
...
I'm down with {user_info['famous_person']}, I call him "{user_info['nickname']}" for short
I phone him up at home and I make him do my {user_info['chore']}'''

    print(song)

def ex_6():
    pronunciations = {
        'valgrind': 'val-grinned',
        'gif': 'giff',
        'SQL': 'es queue el',
        'JSON': 'jayson'
    }

    word = input("Enter a word to get its pronunciation: ")
    print(pronunciations.get(word, "Word not found in dictionary."))

    word_to_delete = input("Enter a word to delete from the dictionary: ")
    if word_to_delete in pronunciations:
      del pronunciations[word_to_delete]
      print(f"{word_to_delete} deleted.")
    else:
      print("Word not found, nothing to delete")

    if pronunciations:  # Check if dictionary is not empty before popping.
      last_key, _ = pronunciations.popitem()  #Don't need the value
      print(f"Last item ({last_key}) removed.")
    else:
      print("Dictionary is now empty, nothing to pop")


    print("Dictionary:", pronunciations)









