# Exercise 16: File Processing and Data Analysis
# -------------------------
# 1. Create `data.txt` (manually).  Format: `name,age,score` (CSV).
#    Example:
#    Alice,25,88
#    Bob,32,95
# 2. Read from `data.txt`.
# 3. Store data as a list of dictionaries (each dict is a record).
# 4. Calculate average score for each unique age.
# 5. Print results, sorted by age, user-friendly format.
# 6. Use functions: `read_data`, `calculate_average_scores`, `print_results`.
# 7. Handle `FileNotFoundError` with `try-except`.
# 8. Use a list comprehension for the list of dictionaries.
# 9. Use a dictionary comprehension for average calculations.
# 10. Use f-strings.

# File name constant
FILE_NAME = 'data.txt'