def exercise_1():
    char = input("Enter a character: ")
    num = int(input("Enter a number: "))  # Assume num is an integer
    if len(char) == 1:
        print(char * num)
    else:
        print(char * (num // len(char)))


def exercise_2():
    num1 = int(input("Enter the first integer: "))
    num2 = int(input("Enter the second integer: "))

    if num1 > num2:
        num1, num2 = num2, num1

    total_sum = sum(range(num1, num2 + 1))
    print(total_sum)


def exercise_3():
    n = int(input("Enter a positive integer: "))  # Assume n is a positive integer

    print(n)
    while n!= 1:
        if n % 2 == 0:
            n = n // 2
        else:
            n = 3 * n + 1
        print(n)


def exercise_4():
    print("Ground launch sequencer is go for auto sequence start (T-31 seconds)")
    print("Activate launch pad sound suppression system (T-16 seconds)")
    print("Activate main engine hydrogen burnoff system (T-10 seconds)")
    print("Main engine start (T-6.6 seconds)")
    print("T-0 Solid rocket booster ignition and liftoff!")


def exercise_5():
    for i in range(50):
        print(i, end=" ")
        if (i + 1) % 10 == 0:
            print()


def exercise_6():
    phrase = input("Enter a phrase: ")
    acronym = ""
    for word in phrase.split():
        acronym += word.upper()
    print(acronym)


def exercise_7():
    sentence = input("Enter a sentence: ")
    words = sentence.split()
    word_lengths = [len(word) for word in words]

    for i in range(len(words)):
        print(f"{words[i]}: {word_lengths[i]}")


def exercise_8():
    # Get first list of words
    words1_str = input("Enter some words (space-separated): ")
    words1 = words1_str.split()

    # Get second list of words
    words2_str = input("Enter more words (space-separated): ")
    words2 = words2_str.split()

    # Print words in first list that aren't in second list
    for word in words1:
        if word not in words2:
            print(word)


def exercise_9():
    sentence = input("Enter a sentence: ")
    char_counts = {}

    for char in sentence:
        char_counts[char] = char_counts.get(char, 0) + 1

    sorted_counts = sorted(char_counts.items(), key=lambda item: item, reverse=True)

    for char, count in sorted_counts:
        print(f"{char}: {count}")


def exercise_10():
    n = int(input("Enter a positive integer N: ")) # Assume n is a positive integer

    for _ in range(n):
        print("*" * n)


def exercise_11():
    # Sample list of numbers
    numbers = [1, 2, 3, 4, 5]

    # Loop through the list using enumerate to get both index and value
    for i, num in enumerate(numbers):
        numbers[i] = num * i

    print(numbers)