# Lab Python 1.2


## Exercise 1
```python
"""
Write a program that prompts for a user's first and last name.

- The program should print out the person's full name on one line and initials on another line.
"""
```

## Exercise 2

```python
"""
Given the following three book titles as literal strings. Include them in a program that will
convert them to the correct case for a title, as shown in the comment to the right of each.
"""

book1 = "gone with the wind"                     # Gone with the Wind
book2 = "Harry potter And the sorcerer's Stone"  # Harry Potter and the Sorcerer's Stone
book3 = "The lIOn, ThE witch and THE wardrobe"   # The Lion, the Witch and the Wardrobe
```
## Exercise 3

```python
"""
Write a program that prompts the user for a word and then prompts again for a whole number.

- The program should create a single new string of the word repeated the number of times given and print out the string.
"""
```

## Exercise 4

```python
"""
Write a program that prompts the user to enter a string of text.

- The program should print out the number of each of the vowels found in the string.
"""
```

## Exercise 5

```python
"""
Write a program that asks the user to enter a palindrome.

- The program should print out whether it is true or false that the word is a palindrome.
  - Palindromes are words that are the same when spelled backwards such as 'racecar'.
"""
```

## Exercise 6

```python
"""
Write a program that calculates and prints the index of every occurrence of the letter "i" in Mississippi.
"""
```

## Exercise 7

```python
"""
Write a program that asks the user to type a string.

- The program should display the words with a border around it.
  - The border can be any character of your choosing.

- For example: If the user enters "Happy Birthday", the output should look similar to:

##################
# Happy Birthday #
##################
"""
```

## Exercise 8

```python
"""
Write a program that prompts the user twice for a number.

- Print each number on its own line.
- Print the result of multiplying the two numbers together.
- Print the number of characters in the result of multiplying the two numbers together.
"""
```

## Exercise 9

```python
"""
Write a program that prompts the user for a word with an odd number of characters in it.
Validate that the word has an odd number of characters. If it does not, continually prompt
the user for a word with an odd number of characters until one is entered.

- The program should then calculate the index of the character in the middle of the word and print that character and its index.
"""
```

## Exercise 10

```python
"""
Write a program that prompts the user for a word with at least 9 characters.
Continually prompt the user until a word with at least that length is entered.

- The program should print the word without the first 2 and last 2 characters
  - For example "Something" should result in "methi" in the display.
"""
```

## Exercise 11

```python
"""
Write a program that prompts once for the user to supply 3 numbers.

- Print out the three numbers and which of the 3 is the largest
"""
```

## Exercise 12

```python
"""
Write a program that prompts the user to enter some text.

- The program should prompt twice for the user to enter some text.
  - Combine all of the words from both inputs into a single list and display the contents of the combined list.
"""
```

## Exercise 13

```python
"""
Rewrite the previous exercise that prompts for two inputs of text from the user.

- The program should display the sorted contents of the list.
  - The output should be the words joined together with a space between each word in the output.
"""
```

## Exercise 14

```python
"""
Write a program that unpacks the following list into variables.

- Print the value of two of the variables on one line.
- Print the value of the other two variables on a second line.
"""

data = [[1, 3, 7], [2, 4, 6], ["a", "b", "c"], ["x", "y", "z"]]
```

## Exercise 15

```python
"""
Given the following list of numbers:

- Write a program that sorts the above list of numbers and prints them out.
- The program should then use the numbers to determine which position to insert the number `15` into so that the contents of the list remain sorted.
  - Insert the `15` into the calculated index and reprint the contents of the list.
"""

numbers = [10, 16, 13, 10, 14, 17, 11, 18, 12]
```

## Exercise 16

```python
"""
Write a program that creates a list of fruits and prompts the user to choose one from the list.

- The program should remove the chosen fruit from the list and print the remaining fruits.
"""
```

## Exercise 17

```python
"""
Write a program that prompts the user for several names separated by spaces.

- Print out the longest name.
"""
```

## Exercise 18

```python
"""
Write a program that creates two lists of numbers.

- Calculate and print out the largest number in each of the two lists.
- Calculate and print out the largest number in the two lists combined.
"""
```

## Exercise 19

```python
"""
Write a program that prompts the user 4 times to enter some text and collect all four inputs in a list.

- Determine from the list if any of the user input was simply the <return> key being entered.
  - If so, print that an invalid entry was found and the index position at which it was found.
"""
```

## Exercise 20

```python
"""
Write a program that defines a dictionary of five states and their capitals.

- The program should prompt the user to supply the capital of a given state from the dictionary.
  - The program should then print whether it is true or false that their choice is the capital.
"""
```

## Exercise 21

```python
"""
Rewrite the previous exercise that works with states and their capitals.

- The program should still define a dictionary of 5 states and capitals.
- It should then display the states in the dictionary and prompt the user to enter a missing state and its capital.
  - Prove that adding it to the dictionary worked by getting the value of the new state from the dictionary and print it out.
"""
```

## Exercise 22

```python
"""
Create a program that stores a dictionary of employee names and a list of days of the week that employee can work.

- The program should define the days of the week only once and then reference them as many times as needed.
- The dictionary should have at least four employees in it and each employee must work at least two days.
  - How the data is supplied is entirely up to you.

- Prompt the user for whose schedule they would like to see and print out that employee and their schedule.
"""
```

## Exercise 23

```python
"""
Write a program that asks the user what time it is in the form of HH:MM (24 hour clock)

- Respond in the output with either one of:
  - "Wow, that's early" for the hours from 0 - 6
  - "Good morning" for the hours of 7 - 11
  - "Good afternoon" for the hours of 12 - 17
  - "Good evening" for the hours of 18 - 23
"""
```

## Exercise 24

```python
"""
Write a program that prompt the user for a positive whole number:

- Print one message if the number given is positive and even
- Print a different message if the number is positive and odd
- Print a different message if it is not either of the first two.
"""
```

## Exercise 25

```python
"""
Write a program that loops, prompting for the user to enter some numbers.

- The program should keep running total of all of the numbers, keeping in mind the user might enter several numbers on the same line.
- The program should continue prompting until the user types "done".
- The program should then print out the sum of all the numbers supplied.
"""
```

## Exercise 26

```python
"""
Rewrite the above program so that the loop stops when the user enters nothing.
"""
```

## Exercise 27

```python
"""
Write a program that prompts the user to enter some text.

- Loop through the input and determine how many characters are upper case and how many are lower case.
"""
```

## Exercise 28

```python
"""
Write a program that defines a dictionary of the months and how many days are in the month.
The program will need to properly handle leap years.

- Print out the contents of the dictionary with each line being a month and its number of days.
- Print out the contents sorted by the number of days in the month from highest to lowest.
- Print out the contents of the dictionary using the 3 character short name for each month.
  - Make sure that each printout of the dictionary is separated clearly from the next printout of the dictionary.
"""
```

## Exercise 29

```python
"""
Write a program that prints out the circumference and area of circles.

- The value 3.14 can be used for π
- The circumference of a circle is 2πr where r is the radius.
- The area of a circle is πr²

The program should prompt for three values from the user:

- A starting radius.
- An ending radius.
- And an increment value.
  - So for example if the user entered the three numbers: 10 20 2
  - The program should print out the circumference and area for circles with a radius of 10, 12, 14, 16, 18, and 20
    - Notice that the ending value should be inclusive.
"""
```

## Exercise 30

```python
"""
Rewrite the program that had a dictionary of the 12 months as a program that has two lists.

- One list contains the names of the months.
- The other list contains the number days in each month.
  - Write a loop that process the two lists in parallel.
  - Parallel in the sense that what is in index 0 of one is related to index 0 of the other.

- The loop should print the month name in the first column and the number of days in the second column.
  - The data will need to be formatted so that everything lines up in columns.
"""
```
