# Object-Oriented Design Exercises

# Part 1: Building a Calculator

# Exercise 1
# Create a Calculator class with basic arithmetic operations

class Calculator:
    def add(self, a, b):
        pass

    def subtract(self, a, b):
        pass

    def multiply(self, a, b):
        pass

    def divide(self, a, b):
        pass

# Exercise 2
# Extend the Calculator class with square root and power methods

# Add these methods to the Calculator class:
#     def square_root(self, a):
#         pass
#
#     def power(self, base, exponent):
#         pass

# Exercise 3
# Enhance Calculator with input validation
# Consider creating a separate InputValidator class for reusability

# Exercise 4
# Implement metadata feature in Calculator
# Add a private attribute to store method usage frequency
# Implement a method to clear/reset metadata


# Part 2: Building a Person Object

# Exercise 5
# Create a Person class with basic attributes

class Person:
    def __init__(self, first_name, last_name, age, email):
        self.first_name = first_name
        self.last_name = last_name
        self.age = age
        self.email = email

# Exercise 6
# Add methods for self-introduction and birthday celebration
# Ensure proper encapsulation of attributes

# Exercise 7
# Extend Person class with employment-related attributes and methods

# Exercise 8
# Implement friend-tracking functionality in Person class

# Exercise 9
# Create Student and Employee subclasses of Person

class Student(Person):
    pass

class Employee(Person):
    pass

# Implement additional attributes and methods for Student and Employee

# Main execution
if __name__ == "__main__":
    # Test your implementations here
    pass