def ex_1():
    user_input = input("Enter a whole number: ")
    print(user_input.isnumeric())


def ex_2():
    user_input = input("Enter a floating point number: ")
    print(user_input.replace('.', '', 1).isdigit())
    # Alternative, handles negative numbers, but harder to read:
    # print(user_input.lstrip('-').replace('.', '', 1).isdigit())

def ex_3():
    text = input("Enter a string of text: ")
    search_term = input("Enter a character or sequence of characters to search for: ")

    count = text.count(search_term)
    print(f"The search term occurs {count} times.")

    index = text.find(search_term)  # Use find() instead of index()
    if index != -1:
        print(f"The first index position of the search term is: {index}")
    else:
        print("The search term was not found in the text.")



def ex_4():
    text = input("Enter a string of text: ").lower()
    search_term = input("Enter a character or sequence of characters to search for: ").lower()

    count = text.count(search_term)
    print(f"The search term occurs {count} times.")

    index = text.find(search_term) # Use find() instead of index()
    if index != -1:
        print(f"The first index position of the search term is: {index}")
    else:
        print("The search term was not found in the text.")


def ex_5():
    url = input("Enter a URL: ")

    # Remove protocol (http:// or https://)
    url = url.replace("http://", "").replace("https://", "")

    # Remove path and query string
    parts = url.split('/', 1)
    host_and_domain = parts[0]

    # Split into hostname and domain
    parts = host_and_domain.split('.', 1)

    # Handle cases with no subdomain (e.g., example.com)
    if len(parts) == 2:
        host_name = parts[0]
        domain = parts[1]
    else: #handles edge cases
        host_name = ""
        domain = parts[0]


    print(f"Host name: {host_name}")
    print(f"Domain: {domain}")

def ex_6():
    print("Casey at the Bat by Ernest Thayer\n")
    print("    And somewhere men are laughing,")
    print("      and somewhere children shout,")
    print("    But there is no joy in Mudville")
    print("      mighty Casey has struck out!")


def ex_7():
    print("10♠ J♠ Q♠ K♠ A♠")

def ex_8():
    sentence = input("Enter a sentence: ")
    words = sentence.split()

    if words:  # Check if the list is not empty
        first_word = words[0]
        last_word = words[-1].rstrip('.,!?"\'') # Remove trailing punctuation
        num_words = len(words)

        print(f"First word: {first_word}")
        print(f"Last word: {last_word}")
        print(f"Number of words: {num_words}")
    else:
        print("No words entered.")



def ex_9():
    num_str = input("Enter a number: ")
    if num_str.isdigit():
        num = int(num_str)
        if 0 <= num <= 127:  # Check for valid ASCII range (0-127 for basic ASCII)
            print(chr(num))
        else:
             print("Number out of valid ASCII range.  Please choose between 0-127")
    else:
        print("Invalid input. Please enter a whole number.")