# Exercise 1: Basic List and Dictionary Operations - Solution

# Part 1: List Manipulation

# 1. Create an empty list called `my_list`.
my_list = []

# 2. Append the numbers 10, 20, 30, and 40 to `my_list`.
my_list.append(10)
my_list.append(20)
my_list.append(30)
my_list.append(40)

# 3. Insert the number 15 at the second position (index 1) of the list.
my_list.insert(1, 15)

# 4. Extend `my_list` with another list containing the elements 50 and 60.
my_list.extend([50, 60])

# 5. Remove the number 30 from `my_list`.
my_list.remove(30)

# 6. Print the final `my_list`.
print(my_list)  # Output: [10, 15, 20, 40, 50, 60]

# Part 2: Dictionary Creation

# 1. Create a dictionary called `student`.
student = {
    "name": "John Doe",
    "age": 22,
    "major": "Computer Science",
    "gpa": 3.7
}

# 2. Print the value associated with the key "major".
print(student["major"])  # Output: Computer Science

# 3. Add a new key-value pair.
student["courses"] = ["CS101", "MA202", "PH101"]

# 4. Print the `student` dictionary.
print(student)
# Expected Output (order may vary):
# {'name': 'John Doe', 'age': 22, 'major': 'Computer Science', 'gpa': 3.7, 'courses': ['CS101', 'MA202', 'PH101']}

# 5. Check if the key 'email' exists.
print("email" in student)  # Output: False

# 6. Get the value associated with 'email' with a default.
email_value = student.get("email", "N/A")
print(email_value)  # Output: N/A