# Exercise 8: Vulnerability Scanner Results

# You have the results of a vulnerability scan represented as a list of dictionaries.

scan_results = [
    {"host": "192.168.1.1", "vulnerabilities": ["CVE-2021-1234", "CVE-2020-5678"]},
    {"host": "10.0.0.2", "vulnerabilities": ["CVE-2022-9999"]},
    {"host": "192.168.1.3", "vulnerabilities": ["CVE-2021-1234"]},
    {"host": "10.0.0.5", "vulnerabilities": []},
]

# 1. Create a dictionary called `vulnerabilities_by_host` where keys are host IPs and values are lists of vulnerability IDs.
# 2. Create a list called `vulnerable_hosts` containing the IPs of hosts that have at least one vulnerability.
# 3. Create a dictionary called `cve_counts` where keys are CVE IDs (e.g., "CVE-2021-1234") and values are the number of hosts affected by that CVE.
# 4. Find and print the most common CVE (the one affecting the most hosts).
# 5.  Create a function `find_hosts_by_cve(cve, results)` which takes in a CVE ID and scan results to return a list of hosts vulnerable to it.
# 6. Test by printing a list of hosts vulnerable to 'CVE-2021-1234'