def ex_1():
    user_input = input("Enter several words separated by semicolons: ")
    words = user_input.split(';')
    words.sort()
    print(words)
    print(len(words))

def ex_2():
    words = input("Enter a list of words separated by spaces: ").split()
    words.sort(reverse=True)
    print(words)
    words.sort(key=len, reverse=True)
    print(words)

def ex_3():
    words = input("Enter a list of words separated by spaces: ").split()
    original_list = words[:]  # Create a copy using slicing
    sorted_list = sorted(original_list, reverse=True)
    print(f"Original list: {original_list}")
    print(f"Sorted list (descending): {sorted_list}")
    sorted_list = sorted(original_list, key=len, reverse=True)
    print(f"Original list: {original_list}")
    print(f"Sorted list (by length): {sorted_list}")

def ex_4():
    numbers = [1, 2, 3, 4, 5, 6]
    print(0 not in numbers)

    list_info = []
    list_info.append(sum(numbers))
    list_info.append(sum(numbers) / len(numbers))
    list_info.append(max(numbers))
    list_info.append(min(numbers))
    print(list_info)

def ex_5():
    user_input = input("Enter several words separated by commas: ")
    words = user_input.split(',')
    print("" not in words)
    print(words[::-1]) # Reverse using slicing


def ex_6():
    caps = [['Arizona', 'Phoenix', 1445632],  ['Indiana', 'Indianapolis', 829718], ['Ohio', 'Columbus', 822553]]
    output_str = ""
    for state_data in caps:
      if len(state_data) >= 3: # defensive coding
        city = state_data[1]
        population = state_data[2]
        output_str += f"{city}:{population} - "
    print(output_str.rstrip(" - "))

def ex_7():
    words = input("Enter a list of words separated by spaces: ").split()
    indexed_words = list(enumerate(words))  # Pair each word with its original index

    # Find the longest word
    longest_word_data = max(indexed_words, key=lambda item: len(item[1]))
    longest_index, longest_word = longest_word_data
    print(f"Longest word: {longest_word}, Index: {longest_index}, Length: {len(longest_word)}")

    # Sort by length, then find the second shortest. Remove longest, then find shortest
    indexed_words.sort(key=lambda item: len(item[1]))
    indexed_words.remove((longest_index, longest_word))
    second_shortest_index, second_shortest_word = indexed_words[0]
    print(f"Second shortest word: {second_shortest_word}, Index: {second_shortest_index}, Length: {len(second_shortest_word)}")