import functools
import time


def fib1(n):
    if n < 2:
        return n
    return fib1(n - 1) + fib1(n - 2)


@functools.cache
def fib2(n):
    if n < 2:
        return n
    return fib2(n - 1) + fib2(n - 2)


# Measure time for fib1
start_time = time.time()
fib1(35)
end_time = time.time()
print(f"Time taken for fib1(35): {end_time - start_time:.6f} seconds")

# Measure time for fib2
start_time = time.time()
fib2(35)
end_time = time.time()
print(f"Time taken for fib2(35): {end_time - start_time:.6f} seconds")
